Tp::Client::ProtocolInterfaceAvatarsInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::Client::ProtocolInterfaceAvatarsInterface Class Reference
Connection manager proxies

`#include <TelepathyQt/ConnectionManager>`

Inherits Tp::AbstractInterface.

## Public Member Functions
| ProtocolInterfaceAvatarsInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
| ProtocolInterfaceAvatarsInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
| ProtocolInterfaceAvatarsInterface (Tp::DBusProxy *proxy)
| ProtocolInterfaceAvatarsInterface (const Tp::Client::ConnectionManagerInterface &mainInterface)
| ProtocolInterfaceAvatarsInterface (const Tp::Client::ConnectionManagerInterface &mainInterface, QObject *parent)
Tp::PendingVariant * | requestPropertySupportedAvatarMIMETypes () const
Tp::PendingVariant * | requestPropertyMinimumAvatarHeight () const
Tp::PendingVariant * | requestPropertyMinimumAvatarWidth () const
Tp::PendingVariant * | requestPropertyRecommendedAvatarHeight () const
Tp::PendingVariant * | requestPropertyRecommendedAvatarWidth () const
Tp::PendingVariant * | requestPropertyMaximumAvatarHeight () const
Tp::PendingVariant * | requestPropertyMaximumAvatarWidth () const
Tp::PendingVariant * | requestPropertyMaximumAvatarBytes () const
Tp::PendingVariantMap * | requestAllProperties () const
Public Member Functions inherited from Tp::AbstractInterface
virtual | ~AbstractInterface ()
bool | isValid () const
QString | invalidationReason () const
QString | invalidationMessage () const
void | setMonitorProperties (bool monitorProperties)
bool | isMonitoringProperties () const

## Static Public Member Functions
static QLatin1String | staticInterfaceName ()

## Protected Member Functions
virtual void | invalidate (Tp::DBusProxy *, const QString &, const QString &)
Protected Member Functions inherited from Tp::AbstractInterface
| AbstractInterface (DBusProxy *proxy, const QLatin1String &interface)
| AbstractInterface (const QString &busName, const QString &path, const QLatin1String &interface, const QDBusConnection &connection, QObject *parent)
PendingVariant * | internalRequestProperty (const QString &name) const
PendingOperation * | internalSetProperty (const QString &name, const QVariant &newValue)
PendingVariantMap * | internalRequestAllProperties () const

## Additional Inherited Members
Signals inherited from Tp::AbstractInterface
void | propertiesChanged (const QVariantMap &changedProperties, const QStringList &invalidatedProperties)
Protected Slots inherited from Tp::AbstractInterface

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Protocol.Interface.Avatars".

## Constructor & Destructor Documentation

Tp::Client::ProtocolInterfaceAvatarsInterface::ProtocolInterfaceAvatarsInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ProtocolInterfaceAvatarsInterface associated with the given object on the session bus.

Parameters

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ProtocolInterfaceAvatarsInterface::ProtocolInterfaceAvatarsInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ProtocolInterfaceAvatarsInterface associated with the given object on the given bus.

Parameters

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ProtocolInterfaceAvatarsInterface::ProtocolInterfaceAvatarsInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a ProtocolInterfaceAvatarsInterface associated with the same object as the given proxy.

Parameters

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

Tp::Client::ProtocolInterfaceAvatarsInterface::ProtocolInterfaceAvatarsInterface | ( | const Tp::Client::ConnectionManagerInterface & | mainInterface | ) |
| explicit

Creates a ProtocolInterfaceAvatarsInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters

  mainInterface | The proxy to use.

Tp::Client::ProtocolInterfaceAvatarsInterface::ProtocolInterfaceAvatarsInterface | ( | const Tp::Client::ConnectionManagerInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a ProtocolInterfaceAvatarsInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

static QLatin1String Tp::Client::ProtocolInterfaceAvatarsInterface::staticInterfaceName | ( |  | ) |
| inlinestatic

Returns the name of the interface "org.freedesktop.Telepathy.Protocol.Interface.Avatars", which this class represents.

Returns
  The D-Bus interface name.

Tp::PendingVariant* Tp::Client::ProtocolInterfaceAvatarsInterface::requestPropertySupportedAvatarMIMETypes | ( |  | ) | const
| inline

Asynchronous getter for the remote object property `SupportedAvatarMIMETypes` of type `QStringList`.

The expected value of the Connection.Interface.Avatars.SupportedAvatarMIMETypes property on connections to this protocol.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::ProtocolInterfaceAvatarsInterface::requestPropertyMinimumAvatarHeight | ( |  | ) | const
| inline

Asynchronous getter for the remote object property `MinimumAvatarHeight` of type `uint`.

The expected value of the Connection.Interface.Avatars.MinimumAvatarHeight property on connections to this protocol.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::ProtocolInterfaceAvatarsInterface::requestPropertyMinimumAvatarWidth | ( |  | ) | const
| inline

Asynchronous getter for the remote object property `MinimumAvatarWidth` of type `uint`.

The expected value of the Connection.Interface.Avatars.MinimumAvatarWidth property on connections to this protocol.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::ProtocolInterfaceAvatarsInterface::requestPropertyRecommendedAvatarHeight | ( |  | ) | const
| inline

Asynchronous getter for the remote object property `RecommendedAvatarHeight` of type `uint`.

The expected value of the Connection.Interface.Avatars.RecommendedAvatarHeight property on connections to this protocol.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::ProtocolInterfaceAvatarsInterface::requestPropertyRecommendedAvatarWidth | ( |  | ) | const
| inline

Asynchronous getter for the remote object property `RecommendedAvatarWidth` of type `uint`.

The expected value of the Connection.Interface.Avatars.RecommendedAvatarWidth property on connections to this protocol.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::ProtocolInterfaceAvatarsInterface::requestPropertyMaximumAvatarHeight | ( |  | ) | const
| inline

Asynchronous getter for the remote object property `MaximumAvatarHeight` of type `uint`.

The expected value of the Connection.Interface.Avatars.MaximumAvatarHeight property on connections to this protocol.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::ProtocolInterfaceAvatarsInterface::requestPropertyMaximumAvatarWidth | ( |  | ) | const
| inline

Asynchronous getter for the remote object property `MaximumAvatarWidth` of type `uint`.

The expected value of the Connection.Interface.Avatars.MaximumAvatarWidth property on connections to this protocol.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::ProtocolInterfaceAvatarsInterface::requestPropertyMaximumAvatarBytes | ( |  | ) | const
| inline

Asynchronous getter for the remote object property `MaximumAvatarBytes` of type `uint`.

The expected value of the Connection.Interface.Avatars.MaximumAvatarBytes property on connections to this protocol.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariantMap* Tp::Client::ProtocolInterfaceAvatarsInterface::requestAllProperties | ( |  | ) | const
| inline

Request all of the DBus properties on the interface.

Returns
  A pending variant map which will emit finished when the properties have been retrieved.

void Tp::Client::ProtocolInterfaceAvatarsInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  |
| protectedvirtual

Reimplemented from Tp::AbstractInterface.